Support » Plugin: Google Analyticator » [Plugin: Google Analyticator] Broken if WordPress is installed in a sub-directory

  • Resolved Kenneth Feldman

    (@kenneth-feldman)


    Broken if WordPress is installed in a sub-directory.

    All of my WP installs are in subdirectories — and when I click the SETTINGS link for this plugin, the url delivered to the browser ignores the subdirectory — resulting in a page-not-found error.

    The plugin is likely assuming that the path to WP starts with the domain — but should instead check to see what WP is reporting as the path, as set in the General Settings.

    http://wordpress.org/extend/plugins/google-analyticator/

Viewing 15 replies - 1 through 15 (of 23 total)
  • We are investigating this now and will update you as soon as we have an answer for you.

    Thanks or taking the time to bring this to our attention.

    Cheers,
    Troy.

    Hi Kenneth

    I’ve found this bug and corrected it, it shall be released in a future release.

    You can still access the settings via the Settings -> Google Analytics tab on the admin menu.

    Cheers,
    Ben

    Wow! FAst.

    Thanks!

    This is still broken. When we go to edit the settings like so – it can’t find the file because WordPress is installed in a sub directory. It can not be edited in settings because the path is still wrong.

    ‘wp-admin/options-general.php?page=google-analyticator.php’

    To edit add your subdirectory name in front of the /wp-admin/ part

    ‘subdirectoryname/wp-admin/options-general.php?page=google-analyticator.php’

    OTOH just easier to delete this plugin and use one that works

    Hi Jason,

    What link – there are a few. And I believe I have checked all references.

    I am developing on localhost/ga/ (a sub dir) and not getting any 404 errors.

    Ben

    The link was on the settings but now appears to be fixed, Have just reinstalled the latest version on one of my sites and it worked this time but was not earlier in the day so thank you.

    I also receive error_messages as both members above! The plug doesn’t work for wp installed in subdirectories!

    Error_message: There was an Analytics API service error 400:Error fetching OAuth2 access token, message: ‘invalid_grant’

    No Analytics account selected. Double check you are authenticated with Google on Google Analyticator’s settings page and make sure an account is selected.

    Settings error_message: There was an Analytics API service error 400:Error fetching OAuth2 access token, message: ‘invalid_grant’

    OK – Correction / The update worked for a site where the sub directory was called blog.

    It doesn’t work on any of the the other sites where I have tired to reinstall it – most of those have a sub directory called /wordpress/ these sites do not work.

    I am wondering if when the plugin is updated it is missing some of the newer files. I will use FTP to delete the plugin completely and then try a fresh install.

    Have now tested that scenario and it doesn’t work either so this is unresolved

    Guys,

    please upgrade to 6.3.3 – you should be set!

    You wont have to re-auth or anything like that.

    Hope this fixed you up!

    Cheers,

    Ben

    Still getting the same 404 error on that version.

    Try to go to settings and it is looking for the wrong place still

    ‘wp-admin/options-general.php?page=ga_activate’

    Deactivate works though as it has the correct path if that is any help.

    ‘wordpress/wp-admin/plugins.php?deactivate=true&plugin_status=all&paged=1&s=’

    Ah. One spot missed.

    For now – can you just update line 148 to

    wp_redirect( admin_url('options-general.php?page=ga_activate') );

    rather than the bloginfo()…

    Just to confirm – and we’ll include in a future release

    Ben

    Ben, updating line 148 seems to work for me. I was able to input the activation code, see the control panel, etc.

    I also had the same problem (that is: site in a subdomain, no acces to Google Analyticator’s settings) and the newest update didn’t fix it. But I tried to update line 148 manually (as suggested above by VideoUserManuals) and hereafter Google Analyticar started working perfectly. Finally!!! 🙂

    Ok – editing line 148 has worked. Have updated 3 sites with no issues. I’d say add to future release ASAP.

    Updated to 6.3.3 but still receive errormessage: There was an Analytics API service error 400:Error fetching OAuth2 access token, message: ‘invalid_grant’
    Tried to Deauthorize & Reset Google Analyticator….still receive an identical errormessage!
    How and where do I find the line 148 to ad the code: wp_redirect( admin_url(‘options-general.php?page=ga_activate’) );
    Please reply ASAP…thanks a lot for the inconvenience…! If this maybe the way to resolve the issue…why don’t you release a complete update?, which contains the missing piece of code?

Viewing 15 replies - 1 through 15 (of 23 total)
  • The topic ‘[Plugin: Google Analyticator] Broken if WordPress is installed in a sub-directory’ is closed to new replies.